﻿using System;
using System.Net;
using System.Xml;
using PIDBWS.PIDBWebserviceTest;

namespace PIDBWS
{
    public static class PIDBXML
    {


        public static XmlNode GetPIDBXml(string acceskey)
        {
            try
            {

            
                using (var proxy = new PIDBWebservice()
                {
                    PreAuthenticate = true
                    , EnableDecompression = true
                })
                {
                    var docInfo = proxy.XML_Dato_3(acceskey);

                    /* --For testing 
                    Console.WriteLine("ID_XML_Dokument = {0}", docInfo.ID_XML_Dokument);
                    Console.WriteLine("XML_Type = {0}", docInfo.XML_Type);
                    Console.WriteLine("ID_XML_Dokument = {0}", docInfo.XML_Navn);
                    Console.WriteLine("XML_Size = {0}", docInfo.XML_Size);
                    Console.WriteLine("XML_Dato_Tid = {0}", docInfo.XML_Dato_Tid);
                    */
                    var doc = proxy.XML_Download(acceskey, docInfo.ID_XML_Dokument);

                    return doc;
                }
            }
            catch (Exception ex)
            {

                throw ex;
            }
        }
    }
}